select_edges {DiagrammeR} | R Documentation

## Select edges in a graph

### Description

Select edges from a graph object of class `dgr_graph`.

### Usage

    select_edges(graph, edge_attr = NULL, search = NULL, set_op = "union",
      from = NULL, to = NULL)

### Arguments

`graph` | a graph object of class `dgr_graph` that is created using `create_graph`.
`edge_attr` | an optional character vector of edge attribute values for filtering the edges returned.
`search` | an option to provide a logical expression with a comparison operator (`>`, `<`, `==`, or `!=`) followed by a number for numerical filtering, or, a regular expression for filtering the nodes returned through string matching.
`set_op` | the set operation to perform upon consecutive selections of graph edges This can either be as a `union` (the default), as an `intersection`, or, as a `difference` on the previous selection, if it exists.
`from` | an optional vector of node IDs from which the edge is outgoing for filtering the list of edges present in the graph.
`to` | an optional vector of node IDs to which the edge is incoming for filtering the list of edges present in the graph.

### Value

a graph object of class `dgr_graph`.

[Package DiagrammeR version 0.8.2 Index]